org.apache.olingo.server.api.processor

## Interface EntityProcessor

- All Superinterfaces:
    Processor
  All Known Subinterfaces:
    MediaEntityProcessor

      public interface EntityProcessor
      extends Processor

  Processor interface for handling a single instance of an Entity Type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createEntity(ODataRequest request, ODataResponse response, UriInfo uriInfo, ContentType requestFormat, ContentType responseFormat)` Creates an entity with send data in the persistence and puts content, status, and Location into the response.
    `void` | `deleteEntity(ODataRequest request, ODataResponse response, UriInfo uriInfo)` Deletes entity from persistence and puts the status into the response.
    `void` | `readEntity(ODataRequest request, ODataResponse response, UriInfo uriInfo, ContentType responseFormat)` Reads entity data from persistence and puts serialized content and status into the response.
    `void` | `updateEntity(ODataRequest request, ODataResponse response, UriInfo uriInfo, ContentType requestFormat, ContentType responseFormat)` Update entity data with send data in the persistence and puts content, status, and Location into the response.

    - ### Methods inherited from interface org.apache.olingo.server.api.processor.Processor

      `init`

- - ### Method Detail

    - #### readEntity

          void readEntity(ODataRequest request,
                          ODataResponse response,
                          UriInfo uriInfo,
                          ContentType responseFormat)
                   throws ODataApplicationException,
                          ODataLibraryException

      Reads entity data from persistence and puts serialized content and status into the response.
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
        `responseFormat` - requested content type after content negotiation
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

    - #### createEntity

          void createEntity(ODataRequest request,
                            ODataResponse response,
                            UriInfo uriInfo,
                            ContentType requestFormat,
                            ContentType responseFormat)
                     throws ODataApplicationException,
                            ODataLibraryException

      Creates an entity with send data in the persistence and puts content, status, and Location into the response.
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
        `requestFormat` - content type of body sent with request
        `responseFormat` - requested content type after content negotiation
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

    - #### updateEntity

          void updateEntity(ODataRequest request,
                            ODataResponse response,
                            UriInfo uriInfo,
                            ContentType requestFormat,
                            ContentType responseFormat)
                     throws ODataApplicationException,
                            ODataLibraryException

      Update entity data with send data in the persistence and puts content, status, and Location into the response.
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
        `requestFormat` - content type of body sent with request
        `responseFormat` - requested content type after content negotiation
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

    - #### deleteEntity

          void deleteEntity(ODataRequest request,
                            ODataResponse response,
                            UriInfo uriInfo)
                     throws ODataApplicationException,
                            ODataLibraryException

      Deletes entity from persistence and puts the status into the response.
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.